<!--
  Generated template for the TransaksiManajemenPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="2primary">
    <ion-title>Transaksi</ion-title>
      <ion-buttons end>
        <button ion-button icon-only (click)="doRefresh()">
            <ion-icon name='refresh'></ion-icon>
        </button>
      </ion-buttons>
  </ion-navbar>

  <!-- ====SEGMENT PEMBAGIAN ANTRARA PT.TBM DAN DISTRIBUTOR==== -->
    <div class="transaksiSegment">
      <ion-segment [(ngModel)]="transaksiTab" (ionChange)="clearSearch()"> <!-- VARIABEL PEMBAGI SEGMENT -->
        <ion-segment-button value="pt" *ngIf="segmentvalidasi == 'manajemen@gmail.com' || segmentvalidasi == 'agronomis&FA(6)@gmail.com' || segmentvalidasi == 'agronomis&FA(7)@gmail.com'" >
          <h3>PT. TBM</h3> <!-- PT. TBM -->
        </ion-segment-button>
        <ion-segment-button value="distributor" (click)="triger_get_distributor()">
          <h3>Distributor</h3>  <!-- Distributor -->
        </ion-segment-button>
      </ion-segment> 
    </div>
  <!-- ========================================================== -->

  <!-- ====DIV SEGMENT pt==== -->
    <div class="child" [ngSwitch]="transaksiTab"> 
      <ion-list *ngSwitchCase="'pt'" > 

      <!-- ====SEARCHBAR SEGMENT VALUE pt==== -->
        <!-- <ion-searchbar [(ngModel)]="searchInput" (ionInput)="searchByName()"></ion-searchbar> -->
        <div class="searchBar">
          <form [formGroup]="searchForm">
            <ion-item>
              <ion-icon name="search" item-start></ion-icon>
              <ion-input type="text" placeholder="Cari" formControlName="searchBar"></ion-input>
              <button ion-button (click)="doSearch(searchForm)" item-end clear icon-only>
                <ion-icon name="arrow-forward" color="lock"></ion-icon>
              </button> 
            </ion-item>
          </form>
        </div>
        
      <!-- =================================== -->

      </ion-list>
    </div>
  <!-- ======================================================= -->

  <!-- ====DIV SEGMENT DISTRIBUTOR==== -->
    <div class="child" [ngSwitch]="transaksiTab">
      <ion-list *ngSwitchCase="'distributor'">
        <!-- <ion-searchbar [(ngModel)]="searchInputDistributor" (ionInput)="searchDistributor()"></ion-searchbar> -->
        <div class="searchBar">
          <form [formGroup]="searchForm">
            <ion-item>
              <ion-icon name="search" item-start></ion-icon>
              <ion-input type="text" placeholder="Search" formControlName="searchBar"></ion-input>
              <button ion-button (click)="doSearch(searchForm)" item-end clear icon-only>
                <ion-icon name="arrow-forward" color="lock"></ion-icon>
              </button> 
            </ion-item>
          </form>
        </div>
      </ion-list>
    </div>
  <!-- ============================ -->
</ion-header>


<ion-content>

    <div class="status" *ngIf="transaksiTab == 'pt'">
        <!-- ====NOTIFIKASI DI SEGMENT PESANAN==== -->
          <ion-badge color="primary" *ngIf="dataProvider.notificationManajemenTransaksi !=0">{{ dataProvider.notificationManajemenTransaksi }}</ion-badge>
        <!-- ===================================== -->
        <form [formGroup]="tabForm">
          <ion-segment formControlName="tabValue" (ionChange)="clearSearch()">
            <ion-segment-button value="pesanan" (click)="changeTabs()" ><p>Pesanan</p></ion-segment-button>
            <ion-segment-button value="ditolak" (click)="changeTabs()" ><p>Ditolak</p></ion-segment-button>
            <ion-segment-button value="dikirim" (click)="changeTabs()" ><p>Dikirim</p></ion-segment-button>
            <ion-segment-button value="terkirim" (click)="changeTabs()" ><p>Terkirim</p></ion-segment-button>   
          </ion-segment>
        </form>
      </div>

    <!-- ====SEGMENT STATUS PESANAN DALAM PROSES==== -->
      <div class="childPT" [ngSwitch]="transaksiTab" *ngIf="transaksiTab == 'pt'">
        <ion-list *ngSwitchCase="'pt'" >
          <div class="pesanan" [ngSwitch]="tabForm.controls.tabValue.value">
            <!-- pesananDalamProses -->

            <div *ngIf="flagHtml == 0 || this.searchForm.controls.searchBar.value == null">
              <ion-list *ngSwitchCase="'pesanan'" >
                <div *ngFor="let y of readyDataPemesanan; let i = index">
                  <button ion-item (click)="goToDetailTransaksi(y, i)">
                    <ion-icon name="ios-archive" color="buttonPesan" item-start></ion-icon>
                    <h3><b>{{ y.f4 }}</b></h3>
                    <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                    <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                  </button>
                </div>
              </ion-list>
            </div>

            <div *ngIf="flagHtml == 1">
              <ion-list *ngSwitchCase="'pesanan'" >
                <div *ngFor="let y of tempDataSearch; let i = index">
                  <button ion-item (click)="goToDetailTransaksi(y, i)">
                    <ion-icon name="ios-archive" color="buttonPesan" item-start></ion-icon>
                    <h3><b>{{ y.f4 }}</b></h3>
                    <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                    <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                  </button>
                </div>
              </ion-list>
            </div>

            <!-- <div *ngIf="flagHtml == -1">
              <p text-center>Hasil tidak ditemukan</p>
            </div> -->

            <!-- load more -->
              <!-- <div *ngIf="temp.length > 0">
                <ion-list *ngSwitchCase="'pesanan'">
                  <div class="temp" *ngFor="let z of temp; let t = index">
                    <div *ngFor="let y of temp[t]; let i = index" >
                      <button ion-item (click)="goToDetailTransaksi(y, i)">
                        <ion-icon name="ios-clock" color="buttonPesan" item-start></ion-icon>
                        <h3><b>{{ y.f4 }}</b></h3>
                        <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                        <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                      </button>
                    </div>
                  </div>
                </ion-list> 
              </div>

              load more 
              <div class="loadMoreButton" *ngSwitchCase="'pesanan'">  
                <button ion-button block color="buttonPesan" (click)="load_more()" *ngIf="p >= 0">Load More</button>
                <button ion-button block color="danger" (click)="merge()">Merge</button> 
              </div>   -->
            <!-- ==  -->

          </div>
        </ion-list>
      </div>
    <!-- =========================================== -->

    <!-- ====SEGMENT STATUS PESANAN DIKIRIM==== -->
      <div class="childPT" [ngSwitch]="transaksiTab" *ngIf="transaksiTab == 'pt'">
        <ion-list *ngSwitchCase="'pt'" >
          <div class="pesanan" [ngSwitch]="tabForm.controls.tabValue.value">
            <!-- pesananDikirim -->

            <div *ngIf="flagHtml == 0 || this.searchForm.controls.searchBar.value == null">
              <div *ngSwitchCase="'dikirim'" >
                <div *ngFor="let y of readyDataDikirim; let i = index">
                  <button ion-item (click)="goToDetailTransaksi(y, i)">
                      <ion-icon name="ios-paper-plane" color="secondary"  item-start></ion-icon>
                    <h3><b>{{ y.f4 }}</b></h3>
                    <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                    <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                  </button>
                </div>
              </div>
            </div>

            <div *ngIf="flagHtml == 1">
                <ion-list *ngSwitchCase="'dikirim'" >
                  <div *ngFor="let y of tempDataSearch; let i = index">
                    <button ion-item (click)="goToDetailTransaksi(y, i)">
                      <ion-icon name="ios-paper-plane" color="secondary" item-start></ion-icon>
                      <h3><b>{{ y.f4 }}</b></h3>
                      <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                      <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                    </button>
                  </div>
                </ion-list>
              </div>

          </div>
        </ion-list>
      </div>
    <!-- ====================================== -->

    <!-- ====SEGMENT STATUS PESANAN TERKIRIM==== -->
    <div class="childPT" [ngSwitch]="transaksiTab" *ngIf="transaksiTab == 'pt'">
      <ion-list *ngSwitchCase="'pt'" >
        <div class="pesanan" [ngSwitch]="tabForm.controls.tabValue.value">
          <!-- pesananTerkirim -->

          <div *ngIf="flagHtml == 0 || this.searchForm.controls.searchBar.value == null">
            <div *ngSwitchCase="'terkirim'" >
              <div *ngFor="let y of readyDataTerkirim; let i = index">
                <button ion-item (click)="goToDetailTransaksi(y, i)" >
                    <ion-icon name="md-checkmark-circle-outline" color="primary" item-start ></ion-icon> 
                  <h3><b>{{ y.f4 }}</b></h3>
                  <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                  <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                </button>
              </div>
            </div>
          </div>

          <div *ngIf="flagHtml == 1">
              <ion-list *ngSwitchCase="'terkirim'" >
                <div *ngFor="let y of tempDataSearch; let i = index">
                  <button ion-item (click)="goToDetailTransaksi(y, i)">
                    <ion-icon name="md-checkmark-circle-outline" color="primary" item-start></ion-icon>
                    <h3><b>{{ y.f4 }}</b></h3>
                    <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                    <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                  </button>
                </div>
              </ion-list>
            </div>

        </div>
      </ion-list>
    </div>
    <!-- ======================================= -->

    <!-- ====SEGMENT STATUS PESANAN DITOLAK==== -->
      <div class="childPT" [ngSwitch]="transaksiTab" *ngIf="transaksiTab == 'pt'">
        <ion-list *ngSwitchCase="'pt'" >
          <div class="pesanan" [ngSwitch]="tabForm.controls.tabValue.value">

            <div *ngIf="flagHtml == 0 || this.searchForm.controls.searchBar.value == null">
              <div *ngSwitchCase="'ditolak'" >
                <div *ngFor="let y of readyDataDitolak; let i = index">
                  <button ion-item (click)="goToDetailTransaksi(y, i)" >
                      <ion-icon name="md-close" color="danger" item-start></ion-icon>
                    <h3><b>{{ y.f4 }}</b></h3>
                    <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                    <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                  </button>
                </div>
              </div>
            </div>

            <div *ngIf="flagHtml == 1">
                <ion-list *ngSwitchCase="'ditolak'" >
                  <div *ngFor="let y of tempDataSearch; let i = index">
                    <button ion-item (click)="goToDetailTransaksi(y, i)">
                      <ion-icon name="md-close" color="danger" item-start></ion-icon>
                      <h3><b>{{ y.f4 }}</b></h3>
                      <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                      <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                    </button>
                  </div>
                </ion-list>
              </div>

          </div>
        </ion-list>
      </div> 
    <!-- ====================================== -->
    
    <!-- ====DIV SEGMENT DISTRIBUTOR==== -->
      <div class="childDistributor" [ngSwitch]="transaksiTab">
        <div *ngIf="flagHtml == 0 || this.searchForm.controls.searchBar.value == null">
          <ion-list *ngSwitchCase="'distributor'">
            <div *ngFor="let y of readyDataDistributor; let i = index">
              <button ion-item (click)="goToDetailTransaksi(y, i)" >
                <ion-icon name="ios-archive" color="buttonPesan" item-start></ion-icon>
                <h3><b>{{ y.f4 }}</b></h3>
                <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                <ion-note item-end>{{ y.f5 }} Box</ion-note> 
              </button> 
            </div>
          </ion-list>
        </div>

        <div *ngIf="flagHtml == 1">
            <ion-list *ngSwitchCase="'distributor'">
              <div *ngFor="let y of tempDataSearch; let i = index">
                <button ion-item (click)="goToDetailTransaksi(y, i)" >
                  <ion-icon name="ios-clock" color="buttonPesan" item-start></ion-icon>
                  <h3><b>{{ y.f4 }}</b></h3>
                  <h3>{{ y.f1 }} - {{ y.f2 }}</h3>
                  <ion-note item-end>{{ y.f5 }} Box</ion-note> 
                </button> 
              </div>
            </ion-list>
          </div>
      </div>
    <!-- =============================== -->

       

</ion-content>
